name: Deploy Production

on:
  push:
    branches: [master, release]
  pull_request:
    branches: [master, release]

jobs:
  deploy_to_staging:
    name: Deploy to Staging
    runs-on: ubuntu-22.04
    if: ${{ gitea.ref == 'refs/heads/release' }}
    steps:
      - name: Checkout code
        uses: actions/checkout@v4

      - name: Manual Approval Step
        run: echo "Ручное подтверждение получено. Запуск деплоя..."

      - name: Deployment Script (Заглушка)
        run: |
          echo "Здесь будет скрипт деплоя на staging"
          # TODO: Реальный скрипт деплоя
          echo "Симуляция деплоя..."